# $Revision: 1.26 $, $Date: 2005/04/29 18:41:10 $
Summary:	GNOME2 binary editor
Summary(pl):	Edytor binarny dla GNOME2
Name:		ghex
Version:	2.8.1
Release:	3
Group:		Applications/Editors
License:	GPL
Source0:	http://ftp.gnome.org/pub/gnome/sources/ghex/2.8/%{name}-%{version}.tar.bz2
# Source0-md5:	ef17f945b9dc701193451f9b083e5116
Patch0:		%{name}-schema.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.gnu.org/directory/text/editors/ghex.html
BuildRequires:	GConf2-devel >= 2.6.1
BuildRequires:	atk-devel >= 1.6.1
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gail-devel >= 1.6.5
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.1
BuildRequires:	intltool >= 0.30
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	libgnomeui-devel >= 2.6.1
BuildRequires:	libgnomeprintui-devel >= 2.6.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%description -l pl
GHex pozwala uytkownikowi na wczytanie danych z dowolnego pliku,
przegldanie i edycj ich w trybie szesnastkowym i ASCII. Obowizkowe
narzdzie dla wszystkich graczy, ktrych gry zapisuj stan w formacie
innym ni tekstowy.

%package devel
Summary:	GHex devel files
Summary(pl):	Pliki nagwkowe GHex
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gail-devel >= 1.6.5
Requires:	gtk+2-devel >= 2:2.4.1

%description devel
GHex devel files.

%description devel -l pl
Pliki nagwkowe GHex.

%package static
Summary:	GHex static library
Summary(pl):	Biblioteka statyczna GHex
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GHex static library.

%description static -l pl
Biblioteka statyczna GHex.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv po/{no,nb}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%scrollkeeper_update_post
%gconf_schema_install ghex2.schemas

%preun
%gconf_schema_uninstall ghex2.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libgtkhex.so.*.*.*
%{_desktopdir}/*
%{_pixmapsdir}/*
%{_datadir}/gnome-2.0/ui/*
%{_sysconfdir}/gconf/schemas/*
%{_omf_dest_dir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex.so
%{_libdir}/libgtkhex.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghex.spec,v $
Revision 1.26  2005/04/29 18:41:10  paladine
- typos

Revision 1.25  2005/04/29 18:28:07  paladine
- new style macros, rel. 3

Revision 1.24  2004/12/22 01:30:20  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.23  2004/11/30 22:42:52  paladine
- added desktop patch, rel 2

Revision 1.22  2004/10/18 20:45:07  aflinta
- up to versiob 2.8.1

Revision 1.21  2004/08/18 22:32:39  ankry
- rel. 2 to rebuild

Revision 1.20  2004/05/27 12:15:19  jpc
- updated URL (nothing better could be found :/)

Revision 1.19  2004/05/27 12:02:37  grzegol
- updated to 2.6.1

Revision 1.18  2004/04/27 18:59:39  grzegol
- fixed BRs

Revision 1.17  2004/04/26 10:03:54  aflinta
- up to version 2.6.0

Revision 1.16  2004/04/12 13:07:29  grzegol
- merged 2.5.2 from DEVEL
- added locale-names patch (rename locale no -> nb)
- updated BRs and Rs, strict internal deps
- regenerate libtool

Revision 1.15  2004/02/14 19:58:04  adamg
- updated to 2.4.1
- BR: scrollkeeper (because of %%{_omf_dest_dir} in %%files)

Revision 1.14  2003/12/27 15:32:34  grzegol
- back to 2.4.0.1 version on HEAD (2.5.x on DEVEL)

Revision 1.13.2.2  2003/12/29 18:57:13  grzegol
- updated to 2.5.2
- regenerate intltool
- added Requires to -devel

Revision 1.13.2.1  2003/12/27 15:27:42  grzegol
- updated to 2.5.1

Revision 1.13  2003/10/11 17:39:14  grzegol
- updated to 2.5.0
- more BRs

Revision 1.12  2003/09/10 20:12:42  aflinta
- version 2.4.0.1

Revision 1.11  2003/09/09 16:21:51  grzegol
- updated to 2.4.0
- regenerate gt/ac/am

Revision 1.10  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/08/01 12:07:01  grzegol
- rel. 2 to rebuild without linc
- added compile_fix patch

Revision 1.8  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.7  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/15 08:50:31  qboosh
- cosmetics, run ldconfig in postun too

Revision 1.4  2003/04/11 21:32:56  grzegol
- fixed %%files

Revision 1.3  2003/04/11 16:54:40  aflinta
- updated to version 2.3.0

Revision 1.2  2003/01/07 13:26:37  qboosh
- clearer pl description, fixed Source0 URL, added Requires(post)
- revised doc: removed COPYING (just GPL), added ChangeLog and TODO

Revision 1.1  2003/01/07 13:02:30  aflinta
- initial PLD release
